Subject: Re: RFC: Redirect-Device

From: Ben Greear <[email-masked]>
Date: Thu, 31 Mar 2005 15:56:28 -0800

jamal wrote:
> On Thu, 2005-03-31 at 17:54, Ben Greear wrote:
> 
> 
>>No.  I can't imagine a way to make it work with my application.
>>
> I think you are more comfortable with using netdevices and ioctls and
> /proc. 

Definately.  Ever tried to sniff a socket with ethereal? :)

> Why dont we try to help you so you migrate from the approach you are
> currently taking?

Our approaches to the problem are fundamentally different.  I choose
virtual net devices because all my user-space and GUI code that deals
with ethernet & .1q interfaces works with virtual devices.  AND, my
kernel module that can bridge at 990Mbps+ in both directions on a
couple of GigE interfaces also works with any ethernet-like net-device.
(Using raw sockets in user-space I cannot achieve this high of a performance.)

I can also stack virtual devices on other devices (.1q on re-direct devices,
for example).  You may very well be able to do all of these things with
tc, but it would not be worth my time to try to figure out how to change my
entire application over to support a new interface that *might* do what I
need when I can easily add a new virtual net-device that I have already proved
does what I need.

So, I'm not claiming that my code does what you want better than your
code, but I am quite certain that my code does what *I* want better
than your code.

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com